Skip to main content
`Ctrl`+`K`

# PetscGetRelativePath

Given a filename, returns the relative path (removes all directory specifiers).

## Synopsis

    PetscErrorCode PetscGetRelativePath(const char fullpath[], char path[], size_t flen)

Not Collective; No Fortran Support

## Input Parameters

- fullpath - full pathname

- flen - size of `path`

## Output Parameter

- path - buffer that holds relative pathname

## See Also

`PetscGetFullPath()`

## Level

developer

## Location

src/sys/fileio/rpath.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages